Intermittent dom/security/test/mixedcontentblocker/test_frameNavigation.html | Test timed out.

REOPENED
Unassigned
(NeedInfo from)

Status

()

Core
DOM: Security
P3
normal
REOPENED
a year ago
12 hours ago

People

(Reporter: Treeherder Bug Filer, Unassigned, NeedInfo)

Tracking

({bulk-close-intermittents, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [domsecurity-intermittent][stockwell needswork])

Priority: -- → P3
Whiteboard: [domsecurity-intermittent]

Comment 1

a year ago
7 failures in 894 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 7

Platform breakdown:
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1353608&startday=2017-04-10&endday=2017-04-16&tree=all

Comment 2

a year ago
5 failures in 883 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1353608&startday=2017-04-24&endday=2017-04-30&tree=all

Comment 3

10 months ago
1 failures in 892 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1353608&startday=2017-06-19&endday=2017-06-25&tree=all

Comment 4

8 months ago
1 failures in 949 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows10-64-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1353608&startday=2017-08-14&endday=2017-08-20&tree=all
Status: NEW → RESOLVED
Last Resolved: 7 months ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

Comment 5

6 months ago
1 failures in 864 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1353608&startday=2017-10-16&endday=2017-10-22&tree=all
https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 7 months ago5 months ago
Resolution: --- → INCOMPLETE
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=169079528&repo=mozilla-central&lineNumber=2458

23:54:07     INFO -  239 INFO TEST-START | dom/security/test/mixedcontentblocker/test_frameNavigation.html
23:59:35     INFO -  TEST-INFO | started process screenshot
23:59:35     INFO -  TEST-INFO | screenshot: exit 0
23:59:35     INFO -  Buffered messages logged at 23:54:07
23:59:35     INFO -  240 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | navigating to insecure iframe blocked on insecure page
23:59:35     INFO -  241 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | navigating to insecure grandchild iframe blocked on insecure page
23:59:35     INFO -  242 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | couldn't open an http link in a new window from a secure page
23:59:35     INFO -  Buffered messages logged at 23:54:12
23:59:35     INFO -  243 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | navigated to insecure iframe on secure page
23:59:35     INFO -  244 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | navigating to insecure iframe blocked on insecure page
23:59:35     INFO -  245 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | navigating to insecure grandchild iframe blocked on insecure page
23:59:35     INFO -  246 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | navigated to insecure iframe on secure page
23:59:35     INFO -  Buffered messages finished
23:59:35    ERROR -  247 INFO TEST-UNEXPECTED-FAIL | dom/security/test/mixedcontentblocker/test_frameNavigation.html | Test timed out.
23:59:35     INFO -      reportError@SimpleTest/TestRunner.js:121:7
23:59:35     INFO -      TestRunner._checkForHangs@SimpleTest/TestRunner.js:142:7
23:59:35     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
23:59:35     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
23:59:35     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
23:59:35     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
23:59:35     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
23:59:35     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
23:59:35     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
23:59:35     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
23:59:35     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
23:59:35     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
23:59:35     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
23:59:35     INFO -      TestRunner.runTests@SimpleTest/TestRunner.js:380:5
23:59:35     INFO -      RunSet.runtests@SimpleTest/setup.js:194:3
23:59:35     INFO -      RunSet.runall@SimpleTest/setup.js:173:5
23:59:35     INFO -      hookupTests@SimpleTest/setup.js:266:5
23:59:35     INFO -  parseTestManifest@http://mochi.test:8888/manifestLibrary.js:36:5
23:59:35     INFO -  getTestManifest/req.onload@http://mochi.test:8888/manifestLibrary.js:49:11
23:59:35     INFO -  EventHandlerNonNull*getTestManifest@http://mochi.test:8888/manifestLibrary.js:45:3
23:59:35     INFO -      hookup@SimpleTest/setup.js:246:5
23:59:35     INFO -  EventHandlerNonNull*@http://mochi.test:8888/tests?autorun=1&closeWhenDone=1&consoleLevel=INFO&manifestFile=tests.json&dumpOutputDirectory=c%3A%5Cusers%5Cgenericworker%5Cappdata%5Clocal%5Ctemp&cleanupCrashes=true:11:1
23:59:36     INFO -  GECKO(4588) | MEMORY STAT | vsize 2098592MB | vsizeMaxContiguous 128238540MB | residentFast 115MB | heapAllocated 20MB
23:59:36     INFO -  248 INFO TEST-OK | dom/security/test/mixedcontentblocker/test_frameNavigation.html | took 328832ms
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
I tried to reproduce this and find the root cause.

Here is my link to mozilla-central:
https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&filter-searchStr=windows%20x64%20opt-mochitest-e10s-3&fromchange=c8dbb4ed05f38f40ef3607a6e36545bd95b8a287&tochange=bfb7edfd0436db388bb9e103b8ad817fc50bfdcf

I was not able to reproduce the problem on mozilla-central using windows 10 opt/pgo.

I tried on autoland as well and found a few instances of this on windows 10 pgo:
https://treeherder.mozilla.org/#/jobs?repo=autoland&filter-searchStr=windows%20x64%20opt-mochitest-e10s-3&tochange=d918859fa3fb3fac0a5bbff1a9a74f908566b7f6&fromchange=fae7d981440374495e890a5ecda4bb698a84f95b&selectedJob=169275070

I am going to retrigger on a smaller range on autoland to determine what failure rate I can find and if a specific revision caused the failure.
with more retriggers:
https://treeherder.mozilla.org/#/jobs?repo=autoland&filter-searchStr=windows%20x64%20opt-mochitest-e10s-3&tochange=d918859fa3fb3fac0a5bbff1a9a74f908566b7f6&fromchange=fae7d981440374495e890a5ecda4bb698a84f95b&selectedJob=169689763

nothing is standing out as the root cause.  I see some pushes with no failures and others with up to 3 failures, there isn't a consistent pattern.

keep in mind this is win10-pgo only I was testing on, so possibly other configs would show patterns.

Comment 10

27 days ago
58 failures in 822 pushes (0.071 failures/push) were associated with this bug in the last 7 days. 

This is the #20 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 16
* try: 15
* mozilla-inbound: 15
* mozilla-central: 12

Platform breakdown:
* windows7-32: 24
* windows10-64: 20
* windows10-64-nightly: 6
* osx-10-10: 3
* windows7-32-devedition: 2
* macosx64-nightly: 2
* windows7-32-nightly: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1353608&startday=2018-03-20&endday=2018-03-26&tree=trunk
There have been 41 failures in the last week.
It seems that now it mostly fails on Windows 7 / pgo & opt.

Failures per platform and build type:

Windows 7 / pgo & opt: 23
windows10-64 / pgo & opt: 9
OS X 10.10 / opt: 4
windows10-64-nightly / opt: 3 
windows7-32-nightly/ opt: 2

Recent failure log and snippet with the failure: 
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=171196629&lineNumber=2401

m/security/test/mixedcontentblocker/test_frameNavigation.html | navigating to insecure iframe blocked on insecure page
12:10:14     INFO -  231 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | navigating to insecure grandchild iframe blocked on insecure page
12:10:14     INFO -  232 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | navigated to insecure iframe on secure page
12:10:14     INFO -  Buffered messages finished
12:10:14    ERROR -  233 INFO TEST-UNEXPECTED-FAIL | dom/security/test/mixedcontentblocker/test_frameNavigation.html | Test timed out.
12:10:14     INFO -      reportError@SimpleTest/TestRunner.js:121:7
Flags: needinfo?(ckerschb)
Whiteboard: [domsecurity-intermittent] → [domsecurity-intermittent][stockwell needswork]

Comment 12

22 days ago
39 failures in 718 pushes (0.054 failures/push) were associated with this bug in the last 7 days. 

This is the #43 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* try: 15
* autoland: 10
* mozilla-inbound: 8
* mozilla-central: 6

Platform breakdown:
* windows7-32: 19
* windows10-64-nightly: 6
* windows10-64: 6
* windows7-32-nightly: 3
* osx-10-10: 3
* windows7-32-devedition: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1353608&startday=2018-03-26&endday=2018-04-01&tree=trunk
Jonathan, any chance you could take a look at this test?
Flags: needinfo?(ckerschb) → needinfo?(jkt)

Comment 14

15 days ago
34 failures in 765 pushes (0.044 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* try: 14
* autoland: 12
* mozilla-inbound: 5
* mozilla-central: 3

Platform breakdown:
* windows7-32: 13
* windows10-64: 8
* osx-10-10: 6
* windows7-32-devedition: 5
* macosx64-nightly: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1353608&startday=2018-04-02&endday=2018-04-08&tree=trunk
Updates:
There have been 34 total failures in the last 7 days.

Failures per platforms and builds:
Windows 7 / opt & pgo: 17
windows10-64 / opt & pgo: 14
OS X 10.10 / opt: 2
windows7-32-nightly: 1

Recent log file and snippet with the failure:
https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=173371350&lineNumber=2399
22:08:56     INFO -  Buffered messages logged at 22:03:34
22:08:56     INFO -  239 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | navigating to insecure iframe blocked on insecure page
22:08:56     INFO -  240 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | navigating to insecure grandchild iframe blocked on insecure page
22:08:56     INFO -  241 INFO TEST-PASS | dom/security/test/mixedcontentblocker/test_frameNavigation.html | navigated to insecure iframe on secure page
22:08:56     INFO -  Buffered messages finished
22:08:56    ERROR -  242 INFO TEST-UNEXPECTED-FAIL | dom/security/test/mixedcontentblocker/test_frameNavigation.html | Test timed out.
22:08:56     INFO -      reportError@SimpleTest/TestRunner.js:121:7
22:08:56     INFO -      TestRunner._checkForHangs@SimpleTest/TestRunner.js:142:7
22:08:56     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
60 failures in 792 pushes (0.076 failures/push) were associated with this bug in the last 7 days. 

This is the #25 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 19
* try: 18
* mozilla-central: 12
* mozilla-inbound: 11

Platform breakdown:
* windows7-32: 25
* windows10-64: 15
* windows7-32-nightly: 8
* windows10-64-nightly: 4
* osx-10-10: 4
* windows7-32-devedition: 3
* windows10-64-devedition: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1353608&startday=2018-04-09&endday=2018-04-15&tree=trunk

Comment 17

12 hours ago
32 failures in 782 pushes (0.041 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 14
* try: 8
* mozilla-inbound: 8
* mozilla-central: 2

Platform breakdown:
* windows7-32: 19
* windows10-64: 7
* osx-10-10: 2
* windows7-32-devedition: 1
* windows10-64-nightly: 1
* macosx64-nightly: 1
* macosx64-devedition: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1353608&startday=2018-04-16&endday=2018-04-22&tree=trunk
You need to log in before you can comment on or make changes to this bug.